//*****************************************************************************
//*****************************************************************************
//  FILENAME: Counter.h
//   Version: 2.60, Updated on 2010/12/27 at 15:27:14
//  Generated by PSoC Designer 5.1.2101.0
//
//  DESCRIPTION: Counter8 User Module C Language interface file
//-----------------------------------------------------------------------------
//  Copyright (c) Cypress Semiconductor 2010. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef Counter_INCLUDE
#define Counter_INCLUDE

#include <m8c.h>

#pragma fastcall16 Counter_EnableInt
#pragma fastcall16 Counter_DisableInt
#pragma fastcall16 Counter_Start
#pragma fastcall16 Counter_Stop
#pragma fastcall16 Counter_bReadCounter              // Read  DR0
#pragma fastcall16 Counter_WritePeriod               // Write DR1
#pragma fastcall16 Counter_bReadCompareValue         // Read  DR2
#pragma fastcall16 Counter_WriteCompareValue         // Write DR2

// The following symbols are deprecated.
// They may be omitted in future releases
//
#pragma fastcall16 bCounter_ReadCounter              // Read  DR0 (Deprecated)
#pragma fastcall16 bCounter_ReadCompareValue         // Read  DR2 (Deprecated)


//-------------------------------------------------
// Prototypes of the Counter API.
//-------------------------------------------------

extern void Counter_EnableInt(void);                           // Proxy Class 1
extern void Counter_DisableInt(void);                          // Proxy Class 1
extern void Counter_Start(void);                               // Proxy Class 1
extern void Counter_Stop(void);                                // Proxy Class 1
extern BYTE Counter_bReadCounter(void);                        // Proxy Class 1
extern void Counter_WritePeriod(BYTE bPeriod);                 // Proxy Class 1
extern BYTE Counter_bReadCompareValue(void);                   // Proxy Class 2
extern void Counter_WriteCompareValue(BYTE bCompareValue);     // Proxy Class 1

// The following functions are deprecated.
// They may be omitted in future releases
//
extern BYTE bCounter_ReadCounter(void);            // Deprecated
extern BYTE bCounter_ReadCompareValue(void);       // Deprecated


//--------------------------------------------------
// Constants for Counter API's.
//--------------------------------------------------

#define Counter_CONTROL_REG_START_BIT          ( 0x01 )
#define Counter_INT_REG_ADDR                   ( 0x0e1 )
#define Counter_INT_MASK                       ( 0x02 )


//--------------------------------------------------
// Constants for Counter user defined values
//--------------------------------------------------

#define Counter_PERIOD                         ( 0xff )
#define Counter_COMPARE_VALUE                  ( 0x7f )


//-------------------------------------------------
// Register Addresses for Counter
//-------------------------------------------------

#pragma ioport  Counter_COUNTER_REG:    0x024              //DR0 Count register
BYTE            Counter_COUNTER_REG;
#pragma ioport  Counter_PERIOD_REG: 0x025                  //DR1 Period register
BYTE            Counter_PERIOD_REG;
#pragma ioport  Counter_COMPARE_REG:    0x026              //DR2 Compare register
BYTE            Counter_COMPARE_REG;
#pragma ioport  Counter_CONTROL_REG:    0x027              //Control register
BYTE            Counter_CONTROL_REG;
#pragma ioport  Counter_FUNC_REG:   0x124                  //Function register
BYTE            Counter_FUNC_REG;
#pragma ioport  Counter_INPUT_REG:  0x125                  //Input register
BYTE            Counter_INPUT_REG;
#pragma ioport  Counter_OUTPUT_REG: 0x126                  //Output register
BYTE            Counter_OUTPUT_REG;
#pragma ioport  Counter_INT_REG:       0x0e1               //Interrupt Mask Register
BYTE            Counter_INT_REG;


//-------------------------------------------------
// Counter Macro 'Functions'
//-------------------------------------------------

#define Counter_Start_M \
   Counter_CONTROL_REG |=  Counter_CONTROL_REG_START_BIT

#define Counter_Stop_M  \
   Counter_CONTROL_REG &= ~Counter_CONTROL_REG_START_BIT

#define Counter_EnableInt_M   \
   M8C_EnableIntMask(Counter_INT_REG, Counter_INT_MASK)

#define Counter_DisableInt_M  \
   M8C_DisableIntMask(Counter_INT_REG, Counter_INT_MASK)

#endif
// end of file Counter.h
