//*****************************************************************************
//*****************************************************************************
//  FILENAME: DigBuf.h
//  Version: 1.3, Updated on 2010/12/27 at 15:27:23
//  Generated by PSoC Designer 5.1.2101.0
//
//  DESCRIPTION: DigitalBuffers User Module C Language interface file
//-----------------------------------------------------------------------------
//  Copyright (c) Cypress Semiconductor 2010. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef DigBuf_INCLUDE
#define DigBuf_INCLUDE

#include <m8c.h>

#pragma fastcall16 DigBuf_EnableInt
#pragma fastcall16 DigBuf_DisableInt
#pragma fastcall16 DigBuf_Start
#pragma fastcall16 DigBuf_Stop

//-------------------------------------------------
// Prototypes of the DigBuf API.
//-------------------------------------------------

extern void DigBuf_EnableInt(void);
extern void DigBuf_DisableInt(void);
extern void DigBuf_Start(void);
extern void DigBuf_Stop(void);


//--------------------------------------------------
// Constants for DigBuf API's.
//--------------------------------------------------
#define DigBuf_CONTROL_REG_START_BIT           ( 0x01 )
#define DigBuf_INT_REG_ADDR                    ( 0x0e1 )
#define DigBuf_INT_MASK                        ( 0x01 )


//--------------------------------------------------
// Constants for DigBuf user defined values
//--------------------------------------------------
#pragma ioport  DigBuf_DATA_0_REG:  0x020                  //DR0 Count register
BYTE            DigBuf_DATA_0_REG;
#pragma ioport  DigBuf_DATA_1_REG:  0x021                  //DR1 Period register
BYTE            DigBuf_DATA_1_REG;
#pragma ioport  DigBuf_DATA_2_REG:  0x022                  //DR2 Compare register
BYTE            DigBuf_DATA_2_REG;
#pragma ioport  DigBuf_CONTROL_REG: 0x023                  //Control register
BYTE            DigBuf_CONTROL_REG;
#pragma ioport  DigBuf_FUNC_REG:    0x120                  //Function register
BYTE            DigBuf_FUNC_REG;
#pragma ioport  DigBuf_INPUT_REG:   0x121                  //Input register
BYTE            DigBuf_INPUT_REG;
#pragma ioport  DigBuf_OUTPUT_REG:  0x122                  //Output register
BYTE            DigBuf_OUTPUT_REG;
#pragma ioport  DigBuf_INT_REG:       0x0e1                //Interrupt Mask Register
BYTE            DigBuf_INT_REG;


//-------------------------------------------------
// Register Addresses for DigBuf
//-------------------------------------------------


//-------------------------------------------------
// DigBuf Macro 'Functions'
//-------------------------------------------------

#define DigBuf_Start_M \
   DigBuf_CONTROL_REG |=  DigBuf_CONTROL_REG_START_BIT

#define DigBuf_Stop_M  \
   DigBuf_CONTROL_REG &= ~DigBuf_CONTROL_REG_START_BIT

#define DigBuf_EnableInt_M   \
   M8C_EnableIntMask(DigBuf_INT_REG, DigBuf_INT_MASK)

#define DigBuf_DisableInt_M  \
   M8C_DisableIntMask(DigBuf_INT_REG, DigBuf_INT_MASK)

#endif
// end of file DigBuf.h
