//*****************************************************************************
//*****************************************************************************
//  FILENAME: CMP.h
//   Version: 2.0, Updated on 2010/12/27 at 15:27:10
//  Generated by PSoC Designer 5.1.2101.0
//
//  DESCRIPTION: COMP User Module C Language interface file
//-----------------------------------------------------------------------------
// Copyright (c) Cypress Semiconductor 2010. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef CMP_INCLUDE
#define CMP_INCLUDE

#include <m8c.h>

//-------------------------------------------------
// Defines for CMP API's.
//-------------------------------------------------

#define CMP_LOWPOWER   1
#define CMP_MEDPOWER   2
#define CMP_HIGHPOWER  3

#define CMP_POL_POS    1
#define CMP_POL_NEG    0

#define CMP_REF1_000   0xf0
#define CMP_REF0_937   0xe0
#define CMP_REF0_875   0xd0
#define CMP_REF0_812   0xc0
#define CMP_REF0_750   0xb0
#define CMP_REF0_688   0xa0
#define CMP_REF0_625   0x90
#define CMP_REF0_562   0x80
#define CMP_REF0_500   0x70
#define CMP_REF0_437   0x60
#define CMP_REF0_375   0x50
#define CMP_REF0_312   0x40
#define CMP_REF0_250   0x30
#define CMP_REF0_188   0x20
#define CMP_REF0_125   0x10
#define CMP_REF0_062   0x00
#define CMP_REF0_042   0x14
#define CMP_REF0_021   0x04


#pragma fastcall16 CMP_Start			// Write CR2
#pragma fastcall16 CMP_Stop			// Write CR2
#pragma fastcall16 CMP_SetPower		// Write CR2
#pragma fastcall16 CMP_SetPolarity		// Write LUT control register
#pragma fastcall16 CMP_SetRef			// Write CR0, CR3

#pragma fastcall16 CMP_EnableInt
#pragma fastcall16 CMP_DisableInt
#pragma fastcall16 CMP_ClearInt

//-------------------------------------------------
// Prototypes of the CMP API.
//-------------------------------------------------

extern void CMP_Start(BYTE bPower);
extern void CMP_Stop(void);
extern void CMP_SetPower(BYTE bPower);
extern void CMP_SetPolarity(BYTE bPolarity);
extern void CMP_SetRef(BYTE bReference);

extern void CMP_EnableInt(void);
extern void CMP_DisableInt(void);
extern void CMP_ClearInt(void);

//-------------------------------------------------
// Register Addresses for CMP
//-------------------------------------------------

#pragma ioport  CMP_CR0:    0x071
BYTE            CMP_CR0;
#pragma ioport  CMP_CR1:    0x072
BYTE            CMP_CR1;
#pragma ioport  CMP_CR2:    0x073
BYTE            CMP_CR2;
#pragma ioport  CMP_CR3:    0x070
BYTE            CMP_CR3;

#pragma ioport  CMP_INT_REG:     0x0e0       //Interrupt Mask Register
BYTE            CMP_INT_REG;
#pragma ioport  CMP_INT_CLR_REG: 0xda        //Interrupt Clear Register
BYTE            CMP_INT_CLR_REG;
#pragma ioport  CMP_LUT_REG:     0x67        //LUT control Register
BYTE            CMP_LUT_REG;

#endif
// end of file CMP.h
