;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: Counter.inc
;;   Version: 2.60, Updated on 2010/12/27 at 15:27:14
;;  Generated by PSoC Designer 5.1.2101.0
;;
;;  DESCRIPTION: Assembler declarations for the Counter8 user module interface
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress Semiconductor 2010. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for Counter API's.
;--------------------------------------------------

Counter_CONTROL_REG_START_BIT:             equ 0x01    ; Control register start bit
Counter_INT_REG:                           equ 0x0e1
Counter_INT_MASK:                          equ 0x02


;--------------------------------------------------
; Constants for Counter user defined values
;--------------------------------------------------

Counter_PERIOD:                            equ 0xff
Counter_COMPARE_VALUE:                     equ 0x7f


;--------------------------------------------------
; Register Address Constants for Counter
;--------------------------------------------------

Counter_COUNTER_REG:                   equ 0x24   ; DR0 Counter register
Counter_PERIOD_REG:                    equ 0x25   ; DR1 Period register
Counter_COMPARE_REG:                   equ 0x26   ; DR2 CompareValue register
Counter_CONTROL_REG:                   equ 0x27   ; Control register
Counter_FUNC_REG:                      equ 0x24   ; Function register
Counter_INPUT_REG:                     equ 0x25   ; Input register
Counter_OUTPUT_REG:                    equ 0x26   ; Output register


;--------------------------------------------------
; Counter Macro 'Functions'
;--------------------------------------------------

   macro Counter_Start_M
   or    reg[Counter_CONTROL_REG],  Counter_CONTROL_REG_START_BIT
   endm

   macro Counter_Stop_M
   and   reg[Counter_CONTROL_REG], ~Counter_CONTROL_REG_START_BIT
   endm

   macro Counter_EnableInt_M
   M8C_EnableIntMask Counter_INT_REG, Counter_INT_MASK
   endm

   macro Counter_DisableInt_M
   M8C_DisableIntMask Counter_INT_REG, Counter_INT_MASK
   endm


; end of file Counter.inc
