;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: Timer.inc
;;   Version: 2.6, Updated on 2010/12/27 at 15:27:46
;;  Generated by PSoC Designer 5.1.2101.0
;;
;;  DESCRIPTION: Assembler declarations for the Timer16 user module interface
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress Semiconductor 2010. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for Timer API's.
;--------------------------------------------------

Timer_CONTROL_REG_START_BIT:               equ 0x01    ; Control register start bit
Timer_INT_REG:                             equ 0x0e1
Timer_INT_MASK:                            equ 0x08


;--------------------------------------------------
; Constants for Timer user defined values
;--------------------------------------------------

Timer_PERIOD:                              equ 0x7d00
Timer_COMPARE_VALUE:                       equ 0x0


;--------------------------------------------------
; Register Address Constants for Timer
;--------------------------------------------------

Timer_COUNTER_LSB_REG:                 equ 0x28   ; DR0 Counter register
Timer_COUNTER_MSB_REG:                 equ 0x2c
Timer_PERIOD_LSB_REG:                  equ 0x29   ; DR1 Period register
Timer_PERIOD_MSB_REG:                  equ 0x2d
Timer_COMPARE_LSB_REG:                 equ 0x2a   ; DR2 CompareValue register
Timer_COMPARE_MSB_REG:                 equ 0x2e
Timer_CONTROL_LSB_REG:                 equ 0x2b   ; Control register
Timer_CONTROL_MSB_REG:                 equ 0x2f
Timer_FUNC_LSB_REG:                    equ 0x28   ; Function register
Timer_FUNC_MSB_REG:                    equ 0x2c
Timer_INPUT_LSB_REG:                   equ 0x29   ; Input register
Timer_INPUT_MSB_REG:                   equ 0x2d
Timer_OUTPUT_LSB_REG:                  equ 0x2a   ; Output register
Timer_OUTPUT_MSB_REG:                  equ 0x2e


;--------------------------------------------------
; Timer Macro 'Functions'
;--------------------------------------------------

   macro Timer_Start_M
   or    reg[Timer_CONTROL_LSB_REG],  Timer_CONTROL_REG_START_BIT
   endm

   macro Timer_Stop_M
   and   reg[Timer_CONTROL_LSB_REG], ~Timer_CONTROL_REG_START_BIT
   endm

   macro Timer_EnableInt_M
   M8C_EnableIntMask Timer_INT_REG, Timer_INT_MASK
   endm

   macro Timer_DisableInt_M
   M8C_DisableIntMask Timer_INT_REG, Timer_INT_MASK
   endm


; end of file Timer.inc
